{% extends 'base.html' %}
{% block title %}Sign Up{% endblock title %}
{% block main_content %}
    <section class="container">
        <div class="container">
            <div class="row justify-content-around mt-5">
                <div class="col-sm-6">
                    <h3 class="text-white">Sign Up Form</h3>
                </div>
            </div>
            <div class="row my-3 justify-content-around mt-5">
                <div class="col-sm-6">
                    <form action="" method="post" class="bg-white p-3 rounded">
                        {% if message in messages %}
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>{{ message }}</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert"
                                        aria-label="Close"></button>
                            </div>
                        {% endif %}
                        {% csrf_token %}
                        {% for fm in form %}
                            {{ fm.label_tag }}
                            {{ fm }}
                            <small class="text-danger">{{ fm.errors|striptags }}</small>
                        {% endfor %}
                        <input type="submit" value="Submit" class="btn btn-primary my-2">
                    </form>
                </div>
            </div>
        </div>
    </section>
{% endblock main_content %}